%define debug_package %{nil} 

Name:		libmdmp
Version:	20230321
Release:	1%{?dist}
Summary:	Library to access the Windows Minidump (MDMP) file format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libmdmp/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool 
BuildRequires:	perl(File::Copy)

%description
libmdmp is a library to access the Windows Minidump (MDMP) file format

%package devel
Summary: Header files and libraries for developing applications for libmdmp
Group: Development/Libraries
Requires: libmdmp = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libmdmp.

%package tools
Summary: Several tools for accessing Windows Minidump files
Group: Applications/System
Requires: libmdmp = %{version}-%{release}

%description tools
Several tools for accessing Windows Minidump files

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmdmp.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/mdmpinfo
%{_mandir}/man1/*

%changelog
* Tue Mar 21 2023 Lawrence R. Rogers <lrr@cert.org 20230321-1
* Release 20230321-1
	Version from 20230321

* Sun Jan 22 2023 Lawrence R. Rogers <lrr@cert.org 20230122-1
* Release 20230122-1
	Version from 20230122

* Wed Aug 19 2020 Lawrence R. Rogers <lrr@cert.org 20200819-1
* Release 20200819-1
	Version from 20200819

* Wed Oct 31 2018 Lawrence R. Rogers <lrr@cert.org 20181031-1
* Release 20181031-1
	Version from 20181031

* Tue Jul  4 2017 Joachim Metz <joachim.metz@gmail.com> 20170522-1
- Auto-generated

